<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_15</title>
</head>
<body>
    <h1>Ejercicio 15</h1>
    <script>
    /*15) Programa una función para convertir números de base binaria a decimal 
    y viceversa, pe. miFuncion(100,2) devolverá 4 base 10.*/

    const convDecimal = (bina = undefined, base = undefined) => {

        if (bina === undefined) return console.warn("No se ingreso un numero en binario");
        if (base === undefined) return console.warn("No se ingreso la base a convertir");
        if (typeof bina !== "number") 
           return console.warn(`El valor ingresado: ${bina} no es un numero`);
        if (typeof base !== "number") 
           return console.warn(`El valor ingresado: ${base} no es un numero`);

        /*sum = 0
        var numReverse = bin.split('').reverse().join('') //Error "bin" debe ser texto para .split()
        for (i = 0; i < numReverse.length; i++) {
            sum = sum + numReverse[i] * 2 ** numReverse.length - 1;
        }   return console.log(`De binario a deciama es: ${sum}`);*/

        if (base === 2) {
            return console.log(`El numero ${bina} de base ${base} es: ${parseInt(bina,base)} en base 10`);
        } else if (base === 10) { //Se añadio si la base es 10
            return console.log(`El numero ${bina} de base ${base} es: ${bina.toString(base)} en base 2`);
        } else {
            return console.error(`La base: ${base} a convertir en invalido`);
        }           
    }

    convDecimal(100,2);
    convDecimal();
    convDecimal("100",2);
    convDecimal(100);
    convDecimal(100,"2");
    convDecimal(4,10);
    convDecimal(100,3);



    </script>
    
</body>
</html>